#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# NOTE:
#   Must be called after including CPack
#------------------------------------------------------------------------
function(ax_packaging_rpm)
  find_program(RPMBUILD rpmbuild)
  if (RPMBUILD)
    set(TAR_DIR_NAME "${PROJECT_NAME}-${${PROJECT_NAME}_VERSION}")
    add_custom_target(rpm
		      COMMAND ${CMAKE_COMMAND} -E echo "Building RPM package..."
		      COMMAND ${RPMBUILD} -v -ta --clean "${CMAKE_BINARY_DIR}/${TAR_DIR_NAME}.tar.gz")
    add_dependencies(rpm dist)
  else (RPMBUILD)
    add_custom_target(rpm
    		      COMMAND ${CMAKE_COMMAND} -E echo "This platform does not support building of RPM packages")
  endif(RPMBUILD)
endfunction(ax_packaging_rpm)